mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable System.Runtime.InteropServices.ComVisible(true)

Cryptographic random number generators create cryptographically strong random values.

Application code does not directly use this class. This abstract class is provided as the base class for all cryptographic random number generators.

For an implementation of a cryptographic random number generator, use the derived class .

Represents the abstract class from which all implementations of cryptographic random number generators derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class. For an implementation of a cryptographic random number generator, use the derived class .

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RandomNumberGenerator To be added

  When overridden in a derived class, creates an instance of the default implementation of a cryptographic random number generator that can be used to generate random data.

  A new instance of a cryptographic random number generator.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RandomNumberGenerator `` To be added

  When overridden in a derived class, creates an instance of the specified implementation of a cryptographic random number generator.

  A new instance of a cryptographic random number generator.

  The name of the random number generator implementation to use.
- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  When overridden in a derived class, releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. Finalize invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  When overridden in a derived class, releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The length of the byte array determines how many random bytes are produced.

  When overridden in a derived class, fills an array of bytes with a cryptographically strong random sequence of values.

  The array to fill with cryptographically strong random bytes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The length of the byte array determines how many random bytes are produced.

  When overridden in a derived class, fills an array of bytes with a cryptographically strong random sequence of nonzero values.

  The array to fill with cryptographically strong random nonzero bytes.